public class Garden
{
    // instance variables - replace the example below with your own
    private Tree[][] myTrees;
    private TreeFactory tf;

    
    public Garden(TreeFactory tf)
    {
        this.tf=tf;
        myTrees = new Tree[10][10];
    }

    
    public void addTree(int x, int y)
    {
        myTrees[x][y] = tf.getTree();
    }
    
     public void paintTree(int x, int y, String color){
         if(color!="green" & myTrees[x][y]!=null)
            myTrees[x][y]=myTrees[x][y].setColor(color);
        }
        
     public void show(){
         for (int i=0; i < 10; i++)
            for (int j=0; j < 10; j++){
                if (myTrees[i][j]!=null){
                    System.out.print("position "+i+ ", " + j +" : ");
                    myTrees[i][j].display();
                }
            }
        }
            
}
